<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('employee_wfhs', function (Blueprint $table) {
            $table->string('validated_by')->after('updated_at')->nullable();
            $table->boolean('validated')->after('validated_by')->default(false);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('employee_wfhs', function (Blueprint $table) {
            $table->dropColumn('validated_by');
            $table->dropColumn('validated');
        });
    }
};
